Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Stefan Monnier <[email-masked]>
Date: Mon, 15 Aug 2022 17:42:01 -0400

>> FWIW, I strongly object to the addition of such a variable (unless it is
>> clearly stated that it is added temporarily and should not be used except
>> for testing purposes).
>> Adding such a variable only two weeks after locked narrowing has been
>> introduced means that modes will have little incentive to adapt to that
>> stronger constraint, if they can "fix" whatever problems that constraint
>> might cause by setting that variable to nil in their initialization hooks.
> I don't think major modes would take advantage of that var.
> I hope not, at least.

I wouldn't mind because if things get slow, we get to point the finger
squarely at the culprit.

        Stefan